Create a holding Run in API Explorer
Ask AI
Body
-
The name of the fund for the holding.
-
The reference of the holding/fund.
-
The provider of the holding/fund.
-
The sector of the holding/fund.
-
The SEDOL of the holding/fund.
-
The ISIN of the holding/fund.
-
The CITI of the holding/fund.
-
The units of the holding
-
The current price of the units in pennies.
-
The current price of the units in it's raw format with decimals.
-
The original purchase price of the holding in pennies.
-
The currency of the holding.
-
Denotes if the holding is active/inactive.
-
Optional UUID of a portfolio to add the holding to.
POST
/api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/holdings
curl \
--request POST 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/holdings' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"fund_name": "My Fund",
"reference": "ABC12345",
"provider": "Financial Provider",
"sector": "Europe",
"sedol": "ABC12345",
"isin": "ABC12345",
"citi": "ABC12345",
"units": 10.0,
"unit_price": 10000,
"unit_price_raw": 100.2334234,
"purchase_price": 5000,
"currency": "GBP",
"is_active": true,
"portfolio_uuid": "b66b9a6b-de91-4f2c-97e7-2049cd8064e1"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"fund_name": "My Fund",
"reference": "ABC12345",
"provider": "Financial Provider",
"sector": "Europe",
"sedol": "ABC12345",
"isin": "ABC12345",
"citi": "ABC12345",
"units": 10.0,
"unit_price": 10000,
"unit_price_raw": 100.2334234,
"purchase_price": 5000,
"currency": "GBP",
"is_active": true,
"portfolio_uuid": "b66b9a6b-de91-4f2c-97e7-2049cd8064e1"
}
Response examples (200)
{
"uuid": "56b81480-b76b-4733-98f4-c54330cc6fab",
"created_at": "2026-11-16T13:00:52+00:00",
"updated_at": "2026-11-16T13:00:52+00:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "95557a81-5eec-42c0-ae4a-327e3bb15588",
"created_at": "2026-11-16T13:00:52+00:00",
"updated_at": "2026-11-16T13:00:52+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "2ec1fbe1-aada-47e3-9d08-47b05984ace8",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"valued_at": "2026-11-16T13:00:59+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "e0104f16-699f-44aa-90e6-7a5018503dee",
"created_at": "2026-11-16T13:00:59+00:00",
"updated_at": "2026-11-16T13:00:59+00:00",
"is_proposed": true,
"proposed_at": "2026-11-16T00:00:00+00:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "dc27f4b8-ca85-4c98-88de-e8f5910baf07",
"created_at": "2026-11-16T13:00:52+00:00",
"updated_at": "2026-11-16T13:00:52+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
Response examples (409)
{
"message": "Plan is being deleted."
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}